> ## Documentation Index
> Fetch the complete documentation index at: https://docs.costgraph.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get products

> Returns all active billing products with their prices



## OpenAPI

````yaml /api-reference/costgraph/openapi.json get /api/v1/billing/products
openapi: 3.0.0
info:
  description: Read and manage your CostGraph organization, spend, alerts, and settings.
  title: CostGraph API
  contact: {}
  version: '1.0'
servers:
  - url: https://api.costgraph.ai
security: []
tags:
  - name: ai
    x-group: AI
  - name: ai-serving
    x-group: AI serving
  - name: anomalies
    x-group: Anomalies
  - name: auth
    x-group: Auth
  - name: billing
    x-group: Billing
  - name: billing-export
    x-group: Billing export
  - name: budgets
    x-group: Budgets
  - name: ci
    x-group: CI
  - name: compute-recommendations
    x-group: Compute recommendations
  - name: config
    x-group: Config
  - name: cost
    x-group: Cost
  - name: gpus
    x-group: GPUs
  - name: graphai
    x-group: Graph AI
  - name: infracost
    x-group: Infracost
  - name: integrations
    x-group: Integrations
  - name: invitations
    x-group: Invitations
  - name: kubernetes-clusters
    x-group: Kubernetes clusters
  - name: marketplace
    x-group: Marketplace
  - name: network-requests
    x-group: Network requests
  - name: notifications
    x-group: Notifications
  - name: oauth
    x-group: OAuth
  - name: oauth-clients
    x-group: OAuth clients
  - name: opencost
    x-group: OpenCost
  - name: organization
    x-group: Audit log
  - name: organizations
    x-group: Organizations
  - name: placement-alternatives
    x-group: Placement alternatives
  - name: reports
    x-group: Reports
  - name: service-map
    x-group: Service map
  - name: settings
    x-group: Settings
  - name: sso
    x-group: Single sign-on
  - name: tenants
    x-group: Tenants
  - name: user
    x-group: Users
  - name: virtual-machines
    x-group: Virtual machines
  - name: virtual-tags
    x-group: Virtual tags
  - name: workflows
    x-group: Workflows
paths:
  /api/v1/billing/products:
    get:
      tags:
        - billing
      summary: Get products
      description: Returns all active billing products with their prices
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/responses.SuccessResponse'
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/billing.ProductWithPrices'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    responses.SuccessResponse:
      type: object
      required:
        - message
        - status
      properties:
        data: {}
        message:
          type: string
          example: some message
        status:
          type: string
          example: success
    billing.ProductWithPrices:
      type: object
      required:
        - active
        - description
        - id
        - name
        - prices
      properties:
        active:
          type: boolean
        description:
          type: string
        id:
          type: string
        metadata:
          type: object
          additionalProperties:
            type: string
        name:
          type: string
        prices:
          type: array
          items:
            $ref: >-
              #/components/schemas/github_com_baselinehq_backend_pkg_stripe.Price
    responses.ErrorResponse:
      type: object
      required:
        - message
        - status
      properties:
        message:
          type: string
          example: some message
        status:
          type: string
          example: error
    github_com_baselinehq_backend_pkg_stripe.Price:
      type: object
      required:
        - active
        - currency
        - id
        - lookupKey
        - productID
      properties:
        active:
          type: boolean
        currency:
          type: string
        id:
          type: string
        lookupKey:
          type: string
        metadata:
          type: object
          additionalProperties:
            type: string
        productID:
          type: string
        recurring:
          $ref: >-
            #/components/schemas/github_com_baselinehq_backend_pkg_stripe.PriceRecurring
        unitAmountDecimal:
          description: >-
            Minor units (cents); decimal because Stripe's integer unit_amount
            rounds sub-cent prices to 0.
          type: number
          format: float64
    github_com_baselinehq_backend_pkg_stripe.PriceRecurring:
      type: object
      required:
        - interval
        - intervalCount
        - usageType
      properties:
        interval:
          type: string
        intervalCount:
          type: integer
        meter:
          type: string
        usageType:
          type: string
  securitySchemes:
    BearerAuth:
      description: Enter "Bearer {token}"
      type: apiKey
      name: Authorization
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.